do-release-update to Precise produces a hardware-not-support-in-Natty warning

Bug #941172 reported by Nathan Stratton Treadway on 2012-02-25
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned
Precise
Medium
Canonical Foundations Team

Bug Description

I ran "do-release-update -d" on a Lucid system to upgrade to Precise (which downloaded and ran version 0.156.6 of precise.tar.gz).

As part of the pre-upgrade checking process, I got the following message:

  Your graphics hardware may not be fully supported in Ubuntu 11.04.

  The support in Ubuntu 11.04 for your intel graphics hardware is
  limited and you may encounter problems after the upgrade. Do you want
  to continue with the upgrade?

Does this warning still apply to Precise?

tags: added: dist-upgrade
tags: added: lucid2precise

Here's the code that produces the message, found starting at line 484 of DistUpgradeQuirks.py:

    def _test_and_warn_on_i8xx(self):
        I8XX_PCI_IDS = ["8086:7121", # i810
                        "8086:7125", # i810e
                        "8086:1132", # i815
                        "8086:3577", # i830
                        "8086:2562", # i845
                        "8086:3582", # i855
                        "8086:2572", # i865
                        ]
        lspci = self._get_pci_ids()
        if set(I8XX_PCI_IDS).intersection(lspci):
            res = self._view.askYesNoQuestion(
                _("Your graphics hardware may not be fully supported in "
                  "Ubuntu 11.04."),
                _("The support in Ubuntu 11.04 for your intel graphics "
                  "hardware is limited "
                  "and you may encounter problems after the upgrade. "
                  "Do you want to continue with the upgrade?")
                )
            if res == False:
                self.controller.abort()

(This machine does indeed have a video controller with a "8086:2562" PCI id.)

I noticed the Natty release notes mention there was an issue with i915 and i945 graphics (LP #727594), but it seems like that problem was resolved in the Natty timeframe, so if that's the issue being checked for here, it seems like the check is no longer needed.

On the other hand, if this is related to a different issue, then the version number mentioned in the message should be updated -- and it would be very helpful if the message included a link to additional information so the user would have some idea what sort of problems might occur and how to decide whether or not it's safe to proceed with the upgrade...

Thanks.

Changed in update-manager (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Foundations Team (canonical-foundations)
tags: added: rls-mgr-p-tracking
Steve Langasek (vorlon) wrote :

The bug referenced in the bzr log is bug #774999 , not bug #727594. And it's still true that 8xx hardware has no support upstream.

So the error message should maybe be changed to say "11.04 and later"?

Changed in update-manager (Ubuntu Precise):
assignee: Canonical Foundations Team (canonical-foundations) → Barry Warsaw (barry)

Thanks for the reference to #774999.

Okay, given that the warning does still apply to Precise, I'll re-iterate that it would be very useful if the warning message gave some pointers to additional information one can used to decide how to answer the "Continue with upgrade?' prompt....

For example, am I correct in understanding that this warning only applies if one is using X.org? (In my case I'm using the machine as a server with no X, so presumably there's no reason I shouldn't go ahead and upgrade to Precise?)

I did a little Googling and found this page:
  https://wiki.ubuntu.com/X/Bugs/Lucidi8xxFreezes

Is there any better pointer for more information on the issues covered by #774999?

Thanks.

Bryce Harrington (bryce) wrote :
Download full text (3.8 KiB)

The error message sounds adequate to me, but I sympathize about warnings and errors that just leave you with more questions than answers. I'm not sure what exactly to say though.

But here's a brain dump of what I know. This is going to be way too blathery for just dropping into that error message, but maybe someone can massage a usable text out of it.

[Historical Background]

There are basically three families of chips in 8xx: i810 (810, 815), i830 (830, 845), and i855 (855, 865). These chips were manufactured early on in Intel's integrated graphics history. They were used in a wide variety of different laptops and motherboards by a wide number of vendors, and the way the chips were wired / integrated into the vendor's board could vary quite a bit. This also preceded Intel's open source graphics lab, so I believe the funding from Intel for 8xx support work is very low priority. I've also heard the documentation is rather sketchy, even internally to Intel.

All these factoids together have had the result that upstream 8xx support upstream has been more art than science. Bugs have tended to be very hardware-specific, and often fixing a lockup bug on one person's laptop will cause a regression on someone else's with exactly the same 8xx chip in some other laptop. Compounding the trouble is that few upstream developers have access to a wide enough variety of 8xx boxes to ensure their code changes have been sufficiently tested.

On top of all this, by now the 8xx hardware line is quite old. It's likely many systems suffer from hardware problems - power supply irregularities, loose/corroded soldering, loose wiring, etc. - which often have very similar symptoms to graphics issues. This can make debugging a given issue quite Fun.

Yet despite all these troubles, upstream *does* still take 8xx bug reports, and they do try to fix them as they have time. The current -intel driver *should* still operate on the i830 and i855 families (i810 is considered a lost cause now.)

Even so, here at the distro level we *don't* take 8xx bug reports for any 8xx chips, but instead direct people to discuss problems directly with upstream. All the problems that make supporting 8xx difficult for upstream affect us as well. Indeed, in the past we used to pull fixes from upstream, but they invariably broke other people's systems. We found we were expending a lot of developer and bug triager time chasing bugs, with little gain except just to annoy 8xx users who didn't know if their systems would work one week to the next. :-)

So, now we ship just what upstream provides. If it works and lets you run Ubuntu on your 8xx, that's great. If not, please go to bugs.freedesktop.org to provide upstream with feedback.

[Current Status]

In Precise, if you've had Ubuntu installed on your hardware previously then theoretically it *should* work.

Since Lucid there has been a fair amount of work upstream to solve issues and provide more stable support for 8xx. However a lot of features are disabled, missing, or buggy. This may include 3D, Xv video, TV output, and more. I've also seen various reports of gpu lockups, corruption, and other serious issues, although ...

Read more...

On Tue, Feb 28, 2012 at 23:11:41 -0000, Bryce Harrington wrote:
> But here's a brain dump of what I know. This is going to be way too
> blathery for just dropping into that error message, but maybe someone
> can massage a usable text out of it.

Thanks for this info-dump...

> Since Lucid there has been a fair amount of work upstream to solve
> issues and provide more stable support for 8xx. However a lot of

Apologies for having to start at the begining... but when you say
"upstream" in this context, are you talking about an X.org video driver,
Linux kernel modules, a combo of those two, or something else?

> So, Ubuntu might boot and run on your 8xx system just fine, but Ubuntu
> engineers are not actively *supporting* that chipset in terms of
> development work so if it does not work there won't be fixes from us.
> You'll need to work directly with upstream at Intel to get development
> support.

It it really a question of _booting_ (i.e. to a text-mode console), or
only an issue if we are trying to run X? (Or do these warnings apply
to framebuffer drivers of some sort?)

Thanks again.
      Nathan

Barry Warsaw (barry) wrote :

I've added this page:

https://wiki.ubuntu.com/X/Bugs/UpdateManagerWarning

and can update the version numbers, but I suppose this needs to be SRUd to be effect, right? Lucid and Oneiric for sure, but what about other versions?

Barry Warsaw (barry) wrote :

Oh, the warning message will include a link to that page.

Changed in update-manager (Ubuntu Precise):
status: Triaged → In Progress
milestone: none → ubuntu-12.04-beta-1
Bryce Harrington (bryce) wrote :

"upstream" in this context means both X.org video driver and the corresponding Linux kernel module. Typically the same folks maintain both chunks of code.

Even more specifically, when we talk about the "upstream for 8xx" we really mean Intel's Open source technology center (http://intellinuxgraphics.org/). There are some community developers who contribute to the 8xx codebase here and there, but most of the work is done by the Intel guys.

Regarding "boot and run", specifically I mean boot into a regular X session and work in at least 2D mode, hopefully without freezes or graphics corruption, but perhaps missing some acceleration functionality.

Note that with the 8xx hardware, you can almost assuredly get to a text console using vesa or framebuffer drivers. Which might be fine for a server, but I think what we're more focusing on here is laptops and the normal Ubuntu desktop experience; I wouldn't consider a text-only boot to be "running" in that sense.

Barry,

I think the new Wiki page (and link to it from the message) is very helpful.

After looking over this discussion (and the one in LP #i774999) it seems to me worth wording the warning in a way that makes the long-term status of the i8xx chips clear, rather than mentioning each specific Ubuntu version individually...

Also, while I have no idea how often this hardware shows up on machines being used as a server, given that the warning message does show up the context of a "do-release-upgrade" I think it's worth having the message explicitely say that the warning only applies to X Windows, so users upgrading a non-X server can proceed with the upgrade without even needing to look at the Wiki page.

I'll try to pull together a proposed wording for all that shortly.

(One other note on your bug-941172 branch: not sure if you left it in the branch on purpose, but I noticed that there is a "True or" still added in the "if" statement....)

Barry Warsaw (barry) wrote :

On Mar 01, 2012, at 01:59 PM, Nathan Stratton Treadway wrote:

>I think the new Wiki page (and link to it from the message) is very
>helpful.

Great!

>After looking over this discussion (and the one in LP #i774999) it seems
>to me worth wording the warning in a way that makes the long-term status
>of the i8xx chips clear, rather than mentioning each specific Ubuntu
>version individually...

Excellent idea.

>Also, while I have no idea how often this hardware shows up on machines
>being used as a server, given that the warning message does show up the
>context of a "do-release-upgrade" I think it's worth having the message
>explicitely say that the warning only applies to X Windows, so users
>upgrading a non-X server can proceed with the upgrade without even
>needing to look at the Wiki page.
>
>I'll try to pull together a proposed wording for all that shortly.

Thanks, that would be very helpful.

>(One other note on your bug-941172 branch: not sure if you left it in
>the branch on purpose, but I noticed that there is a "True or" still
>added in the "if" statement....)

Yep, intentional since I have no i8xx hardware to test it on. ;)

Could the warning message be something along these lines?

-----
Your graphics hardware is no longer fully supported by the Ubuntu project.

Your computer contains a video graphics controller that uses an Intel i8xx chipset. As of Ubuntu 10.10 (Natty), these chipsets are considered obsolete and no longer receive testing or bugfix support. As a result, even if you currently have a working configuration, you may encounter problems running X.org after upgrading Ubuntu.

For more information see
  https://wiki.ubuntu.com/X/Bugs/UpdateManageri8xxWarning

(If you do not plan to run X.org on this machine, it should be safe to proceed with the upgrade.)

Do you want to continue with the upgrade?
-----

(Is it possible to put line/paragraph breaks into the "msg", as I have done here?)

Also, I was wondering if it made sense to rename the Wiki page to include "i8xx" in the name, to leave open the possibility of adding other warnings to Update Manager in the future (as shown in the URL in my sample text).

Barry Warsaw (barry) wrote :

On Mar 01, 2012, at 02:59 PM, Nathan Stratton Treadway wrote:

>Could the warning message be something along these lines?
>
>-----
>Your graphics hardware is no longer fully supported by the Ubuntu project.
>
>Your computer contains a video graphics controller that uses an Intel
>i8xx chipset. As of Ubuntu 10.10 (Natty), these chipsets are considered
>obsolete and no longer receive testing or bugfix support. As a result,
>even if you currently have a working configuration, you may encounter
>problems running X.org after upgrading Ubuntu.
>
>For more information see
> https://wiki.ubuntu.com/X/Bugs/UpdateManageri8xxWarning
>
>(If you do not plan to run X.org on this machine, it should be safe to
>proceed with the upgrade.)
>
>Do you want to continue with the upgrade?
>-----

That's pretty good, though I may tweak it a bit. I'm not sure about what kind
of formatting is available in this string, but I'll look into it. I do
suspect that at this point in the release cycle we'll need to get a UI freeze
exception for this change. Let's get the code looking good and then follow on
with that process.

>(Is it possible to put line/paragraph breaks into the "msg", as I have
>done here?)
>
>
>Also, I was wondering if it made sense to rename the Wiki page to include
>"i8xx" in the name, to leave open the possibility of adding other warnings to
>Update Manager in the future (as shown in the URL in my sample text).

Good idea.

https://wiki.ubuntu.com/X/Bugs/UpdateManagerWarningForI8xx

Martin Pitt (pitti) on 2012-03-02
Changed in update-manager (Ubuntu):
milestone: ubuntu-12.04-beta-1 → ubuntu-12.04-beta-2
Barry Warsaw (barry) on 2012-03-04
Changed in update-manager (Ubuntu Precise):
assignee: Barry Warsaw (barry) → Canonical Foundations Team (canonical-foundations)

I'm not sure if there was some behind-the-scenes discussion about the wording of the warning message (i.e. a decision to keep the changes to the text as minor as possible)... but I noticed that the URL given in the patch that got applied to the lp:update-manager branch (revision 2351) still points to a Wiki page named "UpdateManagerWarning", but the page that Barry created is no longer found there...

(Also, if indeed it's too late to some fuller explaination of the situation into the message for Precise, I'd still say it would be worth revising the message in post-Precise versions of update-manager-core...)

Nathan

Brian Murray (brian-murray) wrote :

I've pushed a new branch that fixes the wiki url in the message, adds LTS to 12.04 and capitalizes Intel.

Steve Langasek (vorlon) on 2012-03-06
Changed in update-manager (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.8

---------------
update-manager (1:0.156.8) precise; urgency=low

  [ Robert Roth ]
  * Update icon name to use FD.o standard (LP: #921310)

  [ Julien Lavergne ]
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/removal_blacklist.cfg,
    UpdateManager/Core/utils.py,
    AutoUpgradeTester/profile/lubuntu/DistUpgrade.cfg:
   - Add Lubuntu support, and don't upgrade gnome-components which have been
     removed from Lubuntu installation (LP: #945215)

  [ Barry Warsaw ]
  * Improve the warning issued when i8xx graphics hardware is
    detected. (LP: #941172)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg:
    - blacklist gnome-session so that users can always login after a failed
      partial upgrade (LP: #946539)

  [ James Hunt ]
  * Only attempt to stop screensaver if DISPLAY set, and throw away
    xdg-screensaver output. (LP: #883618)

  [ Colin Watson ]
  * Use 'from dbus.mainloop.glib import DBusGMainLoop;
    DBusGMainLoop(set_as_default=True)' to set up the main loop, rather than
    importing the deprecated dbus.glib.

  [ Gabor Kelemen ]
  * Fix misplaced parentheses. LP: #952959
 -- Michael Vogt <email address hidden> Tue, 13 Mar 2012 15:29:59 +0100

Changed in update-manager (Ubuntu Precise):
status: Fix Committed → Fix Released
mikewhatever (mikewhatever) wrote :

When upgrading from 10.04 to 12.04, the warning message has the following URL:

https://wiki.ubuntu.com/X/Bugs/UpdateManagerWarningForI8xx

But that page doesn't exist!

Browsing to that page shows a bunch of unrelated links as well as this:

"This page does not exist yet. You can create a new empty page, or use one of the page templates. "

Looks like the page in question got renamed to
  https://wiki.ubuntu.com/X/i8xxUnsupported
last month...

Brian Murray (brian-murray) wrote :

I've made the original url a redirect to the renamed one. Thanks for letting us know about this.

Changed in update-manager (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → nobody
assignee: nobody → Nguyen Tuan Anh (nguyentuananh1993)
Steve Langasek (vorlon) on 2012-11-27
Changed in update-manager (Ubuntu):
assignee: Nguyen Tuan Anh (nguyentuananh1993) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers